unit UGanttADO;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCL.TMSFNCTypes, VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, VCL.TMSFNCGanttClasses,
  VCL.TMSFNCGanttChart, VCL.TMSFNCGanttChartDatabaseAdapter,
  VCL.TMSFNCCustomComponent, VCL.TMSFNCCustomControl, Data.DB, Data.Win.ADODB;

type
  TForm1 = class(TForm)
    TMSFNCGanttChart1: TTMSFNCGanttChart;
    TMSFNCGanttChart1DefaultProject: TTMSFNCGanttDefaultProject;
    TMSFNCGanttChartDatabaseAdapter1: TTMSFNCGanttChartDatabaseAdapter;
    DataSource1: TDataSource;
    ADOTable1: TADOTable;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ADOTable1.Active := false;
  ADOTable1.ConnectionString := 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=DB.mdb;Persist Security Info=False';
  ADOTable1.TableName := 'tasks';

  TMSFNCGanttChartDatabaseAdapter1.Item.DBKey := 'Id';
  TMSFNCGanttChartDatabaseAdapter1.Item.WBS := 'WBS';
  TMSFNCGanttChartDatabaseAdapter1.Item.TaskName := 'TaskName';
  TMSFNCGanttChartDatabaseAdapter1.Item.PlannedStart := 'PlannedStart';
  TMSFNCGanttChartDatabaseAdapter1.Item.Duration := 'Duration';

  ADOTable1.Active := true;
  DataSource1.Enabled := True;

  TMSFNCGanttChartDatabaseAdapter1.Active := True;
end;

end.
